# ====================================================================================
# Licensed Materials - Property of IBM                                  
# IBM WebSphere SDK for Web Services, Version 5.0                     
# (C) Copyright IBM Corp. 2002,2003. All Rights Reserved                
# US Govt. Users Restricted Rights                                      
# Use duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ====================================================================================

binDir=`dirname $0`

if [ "${IBM_WSSTUDIO_BIN}" = "" ]
then
   . "$binDir/setupenv.sh" "$binDir"
fi

if [ "${IBM_WSSTUDIO_TYPE}" = "" ]
then
   . "$binDir/setupenv.sh" "$binDir"
fi

# Setup some environment variables

export wstoolsPluginDir="$IBM_WSSTUDIO_BIN/../rwd/eclipse/plugins"
#export wstoolsPluginRTDir="$wstoolsPluginDir/com.ibm.websphere.webservice.rt.v5.0.2_5.1.0"

# Call the WSDL2WebServiceClass

"$IBM_WSSTUDIO_BIN/../eclipse/jre/bin/java" -cp "$wstoolsPluginDir/com.ibm.etools.webservice.was.creation.core_6.0.0.1/runtime/delegate.jar:$wstoolsPluginDir/com.ibm.etools.webservice.was.creation.core.j2ee13_6.0.0.1/lib/commons-logging-api.jar:$usrClassPath" -Dwsdk.app.server.home="$IBM_WSSTUDIO_BIN/../runtimes/"$IBM_WSSTUDIO_TYPE"_v51" -Dwsad.wsdk.properties="$wstoolsPluginDir/com.ibm.etools.webservice.was.creation.core.j2ee13_6.0.0.1/properties/wsdk.properties" -DWSAD_DIR="$IBM_WSSTUDIO_BIN/../rwd/eclipse" com.ibm.wsdk.delegate.DelegateClass "$wstoolsPluginDir/com.ibm.etools.webservice.was.creation.core.j2ee13_6.0.0.1/${IBM_WSSTUDIO_TYPE}_cp/ws_cmdlineCP.txt" com.ibm.wsdk.tools.tasks.console.WSDL2WebService -wsad $*

echo ""

