@rem  ====================================================================================
@rem  Licensed Materials - Property of IBM                                                
@rem  IBM WebSphere SDK for Web Services, Version 5.0                                   
@rem  (C) Copyright IBM Corp. 2002,2003. All Rights Reserved                              
@rem  US Govt. Users Restricted Rights                                                    
@rem  Use duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem  ====================================================================================

@echo off

IF "%IBM_RAD_BIN%" == "" call "%~dp0\setupenv.bat"

set AST_DIR=%IBM_RAD_BIN%..\rwd\eclipse

set WAS_HOME=%IBM_RAD_BIN%..\runtimes\base_v6



REM Call the UDDIUnpublish class with all the arguments and necessary classpath through the Delegateclass in order to bypass classpath length limitation

"%WAS_HOME%\java\jre\bin\java" -cp "%AST_DIR%\plugins\com.ibm.etools.webservice.was.creation.core_6.0.0.1\runtime\delegate.jar;%AST_DIR%\plugins\com.ibm.websphere.rt.v6_6.0.0\lib\commons-logging-api.jar;%usrClassPath%" -Dwsdk.app.server.home="%WAS_HOME%" -Dwsad.wsdk.properties="%AST_DIR%\plugins\com.ibm.etools.webservice.was.creation.core_6.0.0.1\properties\wsdk.properties" -DWSAD_DIR="%AST_DIR%" -Dwsad.xerces.jar="%AST_DIR%\plugins\org.eclipse.wsdl.validate_1.1.0\jars\xmlParserAPIs.jar;%AST_DIR%\plugins\org.apache.xerces_4.0.13\xercesImpl.jar;%AST_DIR%\plugins\com.ibm.websphere.rt.v6_6.0.0\lib\transform.jar" com.ibm.wsdk.delegate.DelegateClass "%AST_DIR%\plugins\com.ibm.etools.webservice.was.creation.core_6.0.0.1\classpath\ws_cmdlineCP.txt" com.ibm.wsdk.tools.tasks.console.UDDIUnpublish %*

goto :EOF

:END
@echo on
REM Run setupenv.bat to set the environment variable IBM_RAD_BIN