@rem  ====================================================================================
@rem  Licensed Materials - Property of IBM                                                
@rem  IBM WebSphere SDK for Web Services, Version 5.0                                   
@rem  (C) Copyright IBM Corp. 2002,2003. All Rights Reserved                              
@rem  US Govt. Users Restricted Rights                                                    
@rem  Use duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem  ====================================================================================

@echo off

IF "%IBM_WSSTUDIO_BIN%" == "" call "%~dp0\setupenv.bat"

IF "%IBM_WSSTUDIO_TYPE%" == "" call "%~dp0\setupenv.bat"

REM Setup location of the appserver and WSDK tools
set wstoolsPluginDir=%IBM_WSSTUDIO_BIN%..\rwd\eclipse\plugins

REM Set up some environment variables
SET WAS_HOME=%IBM_WSSTUDIO_BIN%..\runtimes\%IBM_WSSTUDIO_TYPE%_v51_stub
REM SET WSAD_XERCES_API=%IBM_WSSTUDIO_BIN%..\eclipse\plugins\org.apache.xerces_4.0.13\xmlParserAPIs.jar
REM Call the WSDL2WebService class with all the arguments and necessary classpath through the Delegateclass in order to bypass classpath length limitation
"%IBM_WSSTUDIO_BIN%..\eclipse\jre\bin\java" -cp "%wstoolsPluginDir%\com.ibm.etools.webservice.was.creation.core_6.0.0.1\runtime\delegate.jar;%wstoolsPluginDir%\com.ibm.etools.webservice.was.creation.core.j2ee13_6.0.0.1\lib\commons-logging-api.jar" -Dwsdk.app.server.home="%IBM_WSSTUDIO_BIN%..\runtimes\%IBM_WSSTUDIO_TYPE%_v51_stub" -Dwsad.wsdk.properties="%wstoolsPluginDir%\com.ibm.etools.webservice.was.creation.core.j2ee13_6.0.0.1\properties\wsdk.properties" -DWSAD_DIR="%IBM_WSSTUDIO_BIN%..\rwd\eclipse" -Dwsad.xerces.jar="%IBM_WSSTUDIO_BIN%..\eclipse\plugins\org.apache.xerces_4.0.13\xmlParserAPIs.jar;%IBM_WSSTUDIO_BIN%..\eclipse\plugins\org.apache.xerces_4.0.13\xercesImpl.jar;%IBM_WSSTUDIO_BIN%..\wstools\eclipse\plugins\com.ibm.etools.webservice.was.creation.core.j2ee13_6.0.0.1\lib\transform.jar" com.ibm.wsdk.delegate.DelegateClass "%wstoolsPluginDir%\com.ibm.etools.webservice.was.creation.core.j2ee13_6.0.0.1\%IBM_WSSTUDIO_TYPE%_cp\ws_cmdlineCP.txt" com.ibm.wsdk.tools.tasks.console.WSDL2WebService -wsad %*

goto :EOF

:END
@echo on
REM Run setupenv.bat to set the environment variable IBM_WSSTUDIO_BIN
