#------------------------------------------------------------------------
# Licensed Materials - Property of IBM
# IBM WebSphere SDK for Web Services, Version 5.0
# (C) Copyright IBM Corp. 2002,2003. All Rights Reserved
# US Govt. Users Restricted Rights
# Use duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#------------------------------------------------------------------------

args=
binDir=`dirname $0`

if [ "${IBM_RAD_BIN}" = "" ]
then
   . "$binDir/setupenv.sh" "$binDir"
fi

# Set up environment
AST_DIR="$IBM_RAD_BIN/../rwd/eclipse"

WAS_HOME="$IBM_RAD_BIN/../runtimes/base_v6"


# Get the classpath argument
finishedParsing=false
foundProject=false

while [ $finishedParsing = "false" ]
do
	if [ "$1" = "" ]
	then
		finishedParsing=true;
   else
      args="$args \"$1\""
	fi
	if [ "$1" = "-project" -a $foundProject = "false" ]
	then
          mkdir -p "$2"
          mkdir -p "$2/wsdk_temp_jars"
	       usrClassPath=`pwd`/$2:`pwd`/$2/wsdk_temp_jars:
          foundProject=true
	fi
	shift
done


# Call the EJB2WebServiceClass

"$WAS_HOME/java/jre/bin/java" -cp "$AST_DIR/plugins/com.ibm.etools.webservice.was.creation.core_6.0.0.1/runtime/delegate.jar:$WAS_HOME/lib/j2ee.jar:$AST_DIR/plugins/com.ibm.websphere.rt.v6_1.0.0/lib/commons-logging-api.jar:$usrClassPath" -Dwsdk.app.server.home="$WAS_HOME" -Dwsad.wsdk.properties="$AST_DIR/plugins/com.ibm.etools.webservice.was.creation.core_6.0.0.1/properties/wsdk.properties" -DWSAD_DIR="$AST_DIR" -Dwsad.xerces.jar="$AST_DIR/plugins/org.eclipse.wsdl.validate_1.1.0/jars/xmlParserAPIs.jar;$AST_DIR/plugins/org.apache.xerces_4.0.13/xercesImpl.jar;$AST_DIR/plugins/com.ibm.websphere.rt.v6_1.0.0/lib/transform.jar" com.ibm.wsdk.delegate.DelegateClass "$AST_DIR/plugins/com.ibm.etools.webservice.was.creation.core_6.0.0.1/classpath/ws_cmdlineCP.txt" com.ibm.wsdk.tools.tasks.console.EJB2WebService ejb2webservice -wsad $args

echo ""

