@rem Licensed Materials - Property of IBM
@rem IBM WebSphere SDK for Web Services, Version 5.0
@rem (C) Copyright IBM Corp. 2002,2003. All Rights Reserved
@rem US Govt. Users Restricted Rights
@rem Use duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

@echo off

IF "%IBM_RAD_BIN%" == "" call "%~dp0\setupenv.bat"

set AST_DIR=%IBM_RAD_BIN%..\rwd\eclipse

set WAS_HOME=%IBM_RAD_BIN%..\runtimes\base_v6


set foundProject=false

:beginLoop
REM Check if no more arguments to be parsed
if "" == "%1" goto callJavaClass
REM Check if it is the project name
if %1 == -project goto foundProject

:continueLoop
shift
goto beginLoop

:foundProject
if %foundProject%==true goto continueLoop
REM remove quotes from PROJECTDIR (similar to PROJECTDIR=%~2)
set PROJECTDIR=%2
set PROJECTDIR=%PROJECTDIR:"=%
if not exist "%~dp1%PROJECTDIR%" mkdir "%~dp1%PROJECTDIR%"
if not exist "%~dp1%PROJECTDIR%\wsdk_temp_jars" mkdir "%~dp1%PROJECTDIR%\wsdk_temp_jars"
set usrClassPath=%~dp1%PROJECTDIR%;%~dp1%PROJECTDIR%\wsdk_temp_jars;
set foundProject=true
goto continueLoop


:callJavaClass

REM Call the EJB2WebService class with all the arguments and necessary classpath through the Delegateclass in order to bypass classpath length limitation
"%WAS_HOME%\java\jre\bin\java" -cp "%AST_DIR%\plugins\com.ibm.etools.webservice.was.creation.core_6.0.0.1\runtime\delegate.jar;%WAS_HOME%\lib\j2ee.jar;%WAS_HOME%\lib\commons-logging-api.jar;%usrClassPath%" -Dwsdk.app.server.home="%WAS_HOME%" -Dwsad.wsdk.properties="%AST_DIR%\plugins\com.ibm.etools.webservice.was.creation.core_6.0.0.1\properties\wsdk.properties" -DWSAD_DIR="%AST_DIR%" -Dwsad.xerces.jar="%AST_DIR%\plugins\org.eclipse.wsdl.validate_1.1.0\jars\xmlParserAPIs.jar;%AST_DIR%\plugins\org.apache.xerces_4.0.13\xercesImpl.jar;%AST_DIR%\plugins\com.ibm.websphere.rt.v6_6.0.0\lib\transform.jar" com.ibm.wsdk.delegate.DelegateClass "%AST_DIR%\plugins\com.ibm.etools.webservice.was.creation.core_6.0.0.1\classpath\ws_cmdlineCP.txt" com.ibm.wsdk.tools.tasks.console.EJB2WebService ejb2webservice -wsad %*
goto :EOF

:END
@echo on
REM Run setupenv.bat to set the environment variable IBM_RAD_BIN
